Accounts APIAccounts
Get account details
Authorization
BearerAuth AuthorizationBearer <token>
In: header
Path Parameters
accountId*string
Unique identifier of the account.
Format
uuidHeader Parameters
X-Volt-Api-Version*integer
Version of the API used. Currently, version 1 is the only version.
Value in
1Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://accounts.sandbox.volt.io/accounts/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "X-Volt-Api-Version: 1"{
"id": "7523a8d3-70a9-4448-822a-ba1a38e0b715",
"currency": "EUR",
"identifications": [
{
"iban": "DE33500105173822933531",
"bic": "ALBPPLPW"
}
],
"name": "My EUR account",
"active": true,
"country": "DK",
"balance": {
"available": 123,
"timestamp": "2023-10-16T16:52:37+00:00"
},
"type": "VOLT_ACCOUNT"
}{
"code": "BAD_REQUEST",
"message": "string"
}{
"code": "UNAUTHORISED",
"message": "string"
}{
"code": "ACCESS_DENIED",
"message": "string"
}{
"code": "RESOURCE_NOT_FOUND",
"message": "string"
}{
"code": "METHOD_NOT_SUPPORTED",
"message": "string"
}{
"code": "MEDIA_TYPE_NOT_ACCEPTABLE",
"message": "string"
}{
"code": "UNSUPPORTED_MEDIA_TYPE",
"message": "string"
}{
"code": "VALIDATION_FAILURE",
"message": "string",
"errors": [
{
"type": "TOO_FEW",
"propertyPath": "string",
"message": "string"
}
]
}{
"code": "INTERNAL_SERVER_ERROR",
"message": "string"
}